# PetscObjectContainerSetPointer

Sets the pointer value contained in the container.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscObjectContainerSetPointer(PetscObjectContainer obj,void *ptr)

Collective on PetscObjectContainer

### Input Parameters

| obj | - the object created with PetscObjectContainerCreate()
| ptr | - the pointer value

### See Also

PetscObjectContainerCreate(), PetscObjectContainerDestroy(),
PetscObjectContainerGetPointer()

Level:advanced
Location:src/sys/src/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages